/*
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

Legato.Feature = {};

Legato.Feature.Style = {
  DEFAULT_POINT: {
    pointRadius: "4",
    graphicName: "square",
    fillColor: "white",
    fillOpacity: "1",
    strokeWidth: "1",
    strokeOpacity: "1",
    strokeColor: "#333333"
  },
  DEFAULT_LINE: {
    strokeWidth: "3",
    strokeOpacity: "1",
    strokeColor: "#666666",
    strokeDashstyle: "dash"
  },
  DEFAULT_POLYGON: {
    strokeWidth: "2",
    strokeOpacity: "1",
    strokeColor: "#666666",
    fillColor: "white",
    fillOpacity: "0.3"
  },
  HIGHLIGHT_POINT: {
    pointRadius: "4",
    fillColor: "#ff4500",
    fillOpacity: "1",
    strokeWidth: "1",
    strokeOpacity: "1",
    strokeColor: "#000"
  },
  HIGHLIGHT_LINE: {
      strokeWidth: "4",
      strokeOpacity: "1",
      strokeColor: "#000",
      fillColor: "#ff4500",
      strokeDashstyle: "dash"
  },
  HIGHLIGHT_POLYGON: {
      strokeWidth: "4",
      strokeOpacity: "1",
      strokeColor: "#000",
      fillColor: "#ff4500",
      fillOpacity: "0.4"
  }
};