/*
 * Legato is a configurable, lightweight web mapping client that can be
 * easily embedded into web pages and portals, CMS and individual web
 * applications. Legato is implemented in JavaScript and based on the
 * popular open source library OpenLayers.
 *
 * Copyright (C) 2010  disy Informationssysteme GmbH, http://www.disy.net
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

Legato.Layer.Predicate = OpenLayers.Class({
  initialize : function(options) {
    OpenLayers.Util.extend(this, options);
  },
  evaluate : function(layer) {
    return true;
  },
  CLASS_NAME : 'Legato.Layer.Predicate'
});

/**
 * Space: llpr
 * Namespace for Legato layer predicates.
 */
/**
 * URI: Namespace URI
 * {http://www.disy.net/legato/layer/predicate}
 */
Legato.Layer.Predicate.NAMESPACE_URI = 'http://www.disy.net/legato/layer/predicate';
/**
 * Prefix: Default prefix
 * {llpr}
 */
Legato.Layer.Predicate.PREFIX = 'llpr';

Legato.Layer.Predicate.QName = function(localPart) {
  return new Legato.XML.QName(Legato.Layer.Predicate.NAMESPACE_URI, localPart,
      Legato.Layer.Predicate.PREFIX);
};

Legato.Layer.Predicate.Bean = Legato.Beans.Object.Extend(
    'Legato.Layer.Predicate', Legato.Layer.Predicate.QName('Predicate'), {
      _constructor : Legato.Layer.Predicate
    });
